summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJuraj LinkeŇ° <jlinkes@cisco.com>2017-10-19 13:38:59 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-10-19 13:38:59 +0000
commitb915eae3e2eefc9bc9b1674309575b18688c95ed (patch)
treebc972a6d88662040ff0f9c5ce573bb724698d10f
parentd1d2da58d3a7eaa1b64e94ceb1e02c39d19886de (diff)
parent0c221bb4dc1b94660f04958e380819c535307565 (diff)
Merge "Added vim installation to post apex script"
-rwxr-xr-xscripts/post_apex.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/post_apex.sh b/scripts/post_apex.sh
index d38ddd4..fb84d43 100755
--- a/scripts/post_apex.sh
+++ b/scripts/post_apex.sh
@@ -56,9 +56,15 @@ do
echo "Copying overcloudrc to $node_name"
scp -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $overcloudrc_path heat-admin@$node_ip:. &> /dev/null
ssh -oStrictHostKeyChecking=no heat-admin@$node_ip 'sudo cp /home/heat-admin/overcloudrc /root' &> /dev/null
- echo "Cloning fds repo on $node_name to $overcloud_fds_repo_loc"
- ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $node_name \
- 'git clone https://gerrit.opnfv.org/gerrit/p/fds.git $overcloud_fds_repo_loc' &> /dev/null
+ ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $node_name ping -c 3 8.8.8.8 > /dev/null
+ if [[ $? -eq 0 ]]
+ then
+ echo "Cloning fds repo on $node_name to $overcloud_fds_repo_loc"
+ ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $node_name \
+ 'git clone https://gerrit.opnfv.org/gerrit/p/fds.git $overcloud_fds_repo_loc' &> /dev/null
+ echo "Installing vim on $node_name"
+ ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $node_name yum -y install vim &> /dev/null
+ fi
if [[ $(ssh -oStrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null root@$node_ip \
'grep -c ". /root/overcloudrc" /root/.bashrc' 2> /dev/null) -eq 0 ]]
then